API Explorer 1 endpoints

Refresh User

POST /obp/v7.0.0/users/USER_ID/refresh

OBPv3.1.0-refreshUser Roles: CanRefreshUser User

The endpoint is used for updating the accounts, views, account holders for the user. As to the Json body, you can leave it as Empty. This call will get data from backend, no need to prepare the json body in api side.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

USER_ID: 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1

JSON request body fields (0)
JSON response body fields (1)
duration_time
60
Example success response
{
  "duration_time": "10 ms"
}
Possible errors (3)
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
  • OBP-20001: User not logged in. Authentication is required!
Implemented by OBPv3.1.0 refreshUser Originally /obp/v3.1.0/users/USER_ID/refresh